Page MenuHomePhabricator

Remove button appears on context menu for MW link nodes, but does not do anything
Closed, ResolvedPublic1 Story Points

Description

1.Open link inspector
2.Insert an external link
3.Open the context menu for the simple link
4.Click on Remove

It does not do anything, maybe we should remove the node upon clicking on remove button.

Event Timeline

Ryasmeen created this task.Dec 7 2015, 7:45 PM
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen updated the task description. (Show Details)
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 7 2015, 7:45 PM
Jdforrester-WMF renamed this task from Remove link button on context menu does not do anything for simple link to Remove button appears on context menu for MW link nodes, but does not do anything.Dec 8 2015, 8:11 PM
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set Security to None.
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to Needs Discussion/Analysis on the VisualEditor board.
DLynch claimed this task.Dec 9 2015, 4:08 PM

Change 257907 had a related patch set uploaded (by DLynch):
Make clear button on numbered external links remove the node

https://gerrit.wikimedia.org/r/257907

Jdforrester-WMF closed this task as Resolved.Dec 9 2015, 4:25 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 257907 merged by jenkins-bot:
Make clear button on numbered external links remove the node

https://gerrit.wikimedia.org/r/257907

We should either change the icon to delete or remove it.

Change 257960 had a related patch set uploaded (by DLynch):
Switch numbered link context to "delete" instead of "clear"

https://gerrit.wikimedia.org/r/257960

Change 257960 merged by jenkins-bot:
Switch numbered link context to "delete" instead of "clear"

https://gerrit.wikimedia.org/r/257960